Name:     	monodevelop-database
Version:	2.2
Release:	%mkrel 1
License:	MIT
BuildArch:      noarch
URL:		http://www.go-mono.com
Source0:	http://go-mono.com/sources/%name/%{name}-%{version}.tar.bz2
BuildRequires:	mono-devel
BuildRequires:  monodevelop >= %version
BuildRequires:  gtksourceview-sharp-devel
%if %mdvver >= 200900
#gw this is not yet in 2008.1
BuildRequires:  mysql-connector-net
%endif
Summary:	Monodevelop Database Addin
Group:		Development/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Monodevelop Database Addin
	  

%prep
%setup -q
%if %mdvver >= 200900
cp -f %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll contrib/MySql
%endif

%build
./configure --prefix=%_prefix
make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%_prefix/share/pkgconfig
mv $RPM_BUILD_ROOT%_prefix/lib/pkgconfig/*.pc $RPM_BUILD_ROOT%_prefix/share/pkgconfig
for langdir in %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/*; do
echo "%lang($(basename $langdir)) $(echo $langdir |sed s!%buildroot!!)" >> %name.lang
done
#gw don't provide this:
%if %mdvver >= 200900
ln -sf %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/MySql.Data.dll
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f %name.lang
%defattr(-, root, root)
%_prefix/share/pkgconfig/monodevelop-database.pc
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.mdb
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/



%changelog
* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2010.1
+ Revision: 478913
- update to new version 2.2

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 476489
- update to new version 2.1.2

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 464198
- update to new version 2.1.1

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0-2mdv2010.0
+ Revision: 440065
- rebuild

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 362822
- new version

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2009.1
+ Revision: 356876
- update to new version 1.9.3

* Thu Feb 12 2009 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2009.1
+ Revision: 339831
- update to new version 1.9.2

* Mon Dec 01 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-2mdv2009.1
+ Revision: 308785
- rebuild for new mysql-connector-net

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2009.1
+ Revision: 306271
- update to new version 1.9.1
- update build deps

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.1
+ Revision: 293412
- new version
- fix build
- update file list
- bump deps
- update license

* Wed Jun 25 2008 Götz Waschk <waschk@mandriva.org> 1.0-3mdv2009.0
+ Revision: 228986
- fix dep on mysql binding as well
- make sure our packaged DLLs are used

* Wed Jun 25 2008 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2009.0
+ Revision: 228957
- remove bundled Mono.Data.Sqlite (fcrozat)

* Fri Mar 14 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2008.1
+ Revision: 187879
- new version
- bump deps

* Sat Feb 16 2008 Götz Waschk <waschk@mandriva.org> 0.19-1mdv2008.1
+ Revision: 169288
- fix buildrequires
- new version
- bump deps

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
+ Revision: 134803
- import monodevelop-database


* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
- initial package
